Package Details: i3status-rust-git 0.9.0.r648.gd04d08c-1

Git Clone URL: https://aur.archlinux.org/i3status-rust-git.git (read-only)
Package Base: i3status-rust-git
Description: Very resourcefriendly and feature-rich replacement for i3status to use with bar programs (like i3bar and swaybar), written in pure Rust
Upstream URL: https://github.com/greshake/i3status-rust
Keywords: i3 i3status rust
Licenses: GPL3
Conflicts: i3status-rust
Provides: i3status-rust
Submitter: metak
Maintainer: metak
Last Packager: metak
Votes: 14
Popularity: 0.591410
First Submitted: 2017-07-13 18:06
Last Updated: 2019-04-27 19:43

Dependencies (14)

Required by (0)

Sources (1)

Latest Comments

metak commented on 2019-04-14 16:28

@enricostn This package is made for official archlinux rust package that's why it has makedepends for rust. If you're using rustup then you'll have to build the package manually.

  1. Clone the i3status-rust upstream repo and cd into it

  2. Then run ~/.cargo/bin/cargo build --release (I think this is where rustup install the binaries) and this should produce the binary file in target/release/i3status-rs

  3. Put that file somewhere where you have exported path, ~/bin or something

enricostn commented on 2019-04-14 15:50

Hi, I installed rust using https://rustup.rs/

But I'm still getting:

$ makepkg ==> Making package: i3status-rust-git 0.9.0.r634.g79b0ea2-1 (Sun 14 Apr 2019 05:44:21 PM CEST) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> Missing dependencies: -> rust ==> ERROR: Could not resolve all dependencies.

Rust works as expected for everything else but compiling this package. Any hint? Thanks!